<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="345dp"
    android:layout_height="345dp"
    android:layout_margin="5dp"
    app:cardCornerRadius="15dp"
    app:cardElevation="0dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="25dp"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|start"
                android:src="@mipmap/wancheng_download"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:id="@+id/ll"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tv_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:singleLine="true"
                    android:text="video_preview_h2…"
                    android:textColor="#010101"
                    android:textSize="18sp"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tv_size"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:text="358KB"
                    android:textColor="#6F6F70"
                    android:textSize="12sp"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <TextView
                android:layout_width="80dp"
                android:layout_height="36dp"
                android:layout_gravity="center_vertical|end"
                android:background="@drawable/bg_cee2fb_18"
                android:gravity="center"
                android:text="Play"
                android:textColor="#0672EE"
                tools:ignore="HardcodedText" />


        </LinearLayout>

        <FrameLayout
            android:id="@+id/fl_ad"
            android:layout_width="match_parent"
            android:layout_height="175dp"
            android:layout_marginTop="20dp">

            <include layout="@layout/layout_admob_native_download" />
        </FrameLayout>

        <TextView
            android:id="@+id/tv_download"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="15dp"
            android:background="@drawable/bg_0571ed_25"
            android:gravity="center"
            android:text="Download"
            android:textColor="@color/white"
            android:textSize="18sp"
            tools:ignore="HardcodedText" />

    </LinearLayout>


</androidx.cardview.widget.CardView>